using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Damage
{
    public class Mod
    {
        public static bool spawnerEnabled = true;
        public static PhysicalProperties humanProperties;

        public static void Main()
        {
            ModAPI.Register<SpawnBehaviour>();

            ModAPI.OnItemSpawned += (sender, obj) =>
            {
                GameObject gameobject = obj.Instance;
                PersonBehaviour person = gameobject.GetComponent<PersonBehaviour>();
                LimbBehaviour limb = gameobject.GetComponent<LimbBehaviour>();
                if (person && spawnerEnabled)
                {
                    foreach (LimbBehaviour limbBehaviour in person.Limbs)
                    {
                        if (!limbBehaviour.gameObject.GetComponent<HumanDamageBehaviour>() && limbBehaviour.SpeciesIdentity == "Human")
                            limbBehaviour.gameObject.AddComponent<HumanDamageBehaviour>();
                        if (!limbBehaviour.PhysicalBehaviour.Properties != humanProperties && limbBehaviour.SpeciesIdentity == "Human")
                            limbBehaviour.PhysicalBehaviour.Properties = humanProperties;
                    }
                }
            };
        }
    }
}